Bug 107816 - Interface status list not updated after activation of interface
Interface status list not updated after activation of interface
Status: CLOSED DUPLICATE of bug 106980
Product: Fedora
Classification: Fedora
Component: redhat-config-network (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
: 106541 107794 (view as bug list)
Depends On:
Blocks: 111252 rcn-modem
  Show dependency treegraph
 
Reported: 2003-10-23 08:23 EDT by Mikael Carneholm
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:59:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikael Carneholm 2003-10-23 08:23:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031009
Epiphany/1.0.1

Description of problem:
After activating an interface (in my case: a ppp interface), the status of the
interface isn't updated in the list of interfaces (status column still says
inactive).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start redhat-config-network
2. Choose an interface in the list of interfaces
3. Click "Activate"
[interface is activated]
4. Done
    

Actual Results:  The IF is still listed as inactive.

Expected Results:  The IF should be listed as active, and the "Inactivate"
button should be enabled.

Additional info:
Comment 1 Harald Hoyer 2003-10-24 11:19:24 EDT
should be fixed in 1.3.8 appearing soon on rawhide
Comment 2 Harald Hoyer 2003-10-24 11:20:30 EDT
*** Bug 107794 has been marked as a duplicate of this bug. ***
Comment 3 Harald Hoyer 2003-10-24 11:53:10 EDT
*** Bug 106541 has been marked as a duplicate of this bug. ***
Comment 4 Andre Robatino 2003-10-26 14:24:28 EST
  I am using redhat-config-network-1.3.8-1.  When I bring up my DSL connection
with PPPoE, the ethernet interface is activated automatically (verified using
ifconfig).  However, redhat-config-network still shows eth0 is being inactive. 
This has been broken since test2.  It worked in test1. See bug #105748.
Comment 5 Andre Robatino 2003-11-10 00:54:58 EST
  After a clean install of FC1, my problem with eth0 still existed.  I
found that I could simply delete the eth0 interface in
redhat-config-network, which removes the ifcfg-eth0 file.  Despite
this, the connection comes up fine and ifconfig shows eth0 active. 
Since I rely on the xDSL interface to bring up eth0 and never do it
manually, all is now well.  This may be related to the fact that there
appears to be no way to configure an IP-less configuration for eth0. 
During the install, the only two choices are use DHCP (which is wrong)
and manually entering an IP address and netmask (which aren't needed). 
Comment 6 Norbert Breun 2003-12-01 10:28:00 EST
this was NEVER an issue for me. My eth0 was ever and in all versions
of fedora working and shown correctly. Even I was able do deactivate
it and it was shown deactivated when doing so.

All works well for me. So I removed me from CC...

good luck + farewell
Norbert
Comment 7 Norbert Breun 2003-12-01 10:29:33 EST
this was NEVER an issue for me. My eth0 was ever and in all versions
of fedora working and shown correctly. Even I was able do deactivate
it and it was shown deactivated when doing so.

All works well for me. So I removed me from CC...

good luck + farewell
Norbert
Comment 8 Brad Smith 2003-12-02 23:45:24 EST
This bug is present in RHEL 3 on my system.
Comment 9 Harald Hoyer 2004-06-04 09:31:10 EDT

*** This bug has been marked as a duplicate of 106980 ***
Comment 10 Red Hat Bugzilla 2006-02-21 13:59:20 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.